%define srcname cluster

Name:           python-%{srcname}
Version:        1.4.1.post3
Release:        %mkrel 3
Summary:        Create several groups (clusters) of objects from a list
Group:          Development/Python
License:        LGPLv2
URL:            https://pypi.python.org/pypi/cluster
Source0:        https://github.com/exhuma/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
python-cluster is a "simple" package that allows to create several groups
(clusters) of objects from a list. It's meant to be flexible and able to
cluster any object. To ensure this kind of flexibility, you need not only to
supply the list of objects, but also a function that calculates the similarity
between two of those objects. For simple datatypes, like integers, this can be
as simple as a subtraction, but more complex calculations are possible. Right
now, it is possible to generate the clusters using a hierarchical clustering
and the popular K-Means algorithm. For the hierarchical algorithm there are
different "linkage" (single, complete, average and uclus) methods available.

#------------------------------------------------

%package -n     python3-%{srcname}
Summary:        Create several groups (clusters) of objects from a list
Group:          Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
python3-cluster is a "simple" package that allows to create several groups
(clusters) of objects from a list. It's meant to be flexible and able to
cluster any object. To ensure this kind of flexibility, you need not only to
supply the list of objects, but also a function that calculates the similarity
between two of those objects. For simple datatypes, like integers, this can be
as simple as a subtraction, but more complex calculations are possible. Right
now, it is possible to generate the clusters using a hierarchical clustering
and the popular K-Means algorithm. For the hierarchical algorithm there are
different "linkage" (single, complete, average and uclus) methods available.

#------------------------------------------------

%prep
%setup -q -n %{name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cluster

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG README*



%changelog
* Sun Dec 10 2023 papoteur <papoteur> 1.4.1.post3-3.mga10
+ Revision: 2017014
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 1.4.1.post3-2.mga9
+ Revision: 1823881
- Mageia 9 Mass Rebuild
- Mageia 8 Mass Rebuild
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild
+ mrambo3501 <mrambo3501>
- version 1.4.1.post3
- rebuild for python-3.10
+ wally <wally>
- Rebuild for python 3.9
- new version 1.4.1.post2
- add python3 pkg
+ tv <tv>
- rebuild for python-3.8
- drop python2 subpkg
- rebuild for missing pythoneggs deps
+ daviddavid <daviddavid>
- rename python-cluster to python2-cluster
+ guillomovitch <guillomovitch>
- new version 1.3.3
- imported package python-cluster
+ pterjan <pterjan>
- Rebuild for new Python
- Rebuild to add different pythonegg provides for python 2 and 3

